using Register_office.BaseClasses;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace Register_office.Model;

public partial class ExaminationType : IUnionId
{
	public object GetId() => ExaminationTypeId;

	[Display(Name = "hide")]
	public int ExaminationTypeId { get; set; }

	[Display(Name = "Название")]
	public string Name { get; set; } = null!;

	[Display(Name = "Категория")]
	public string Category { get; set; } = null!;

	[Browsable(false)]
    public virtual ICollection<ExaminationTypePrescription> ExaminationTypePrescriptions { get; set; } = new List<ExaminationTypePrescription>();

	[Browsable(false)]
    public virtual ICollection<ReferenceValue> ReferenceValues { get; set; } = new List<ReferenceValue>();

	[Browsable(false)]
    public virtual Result? Result { get; set; }

	[Browsable(false)]
    public virtual SyndromeExaminationType? SyndromeExaminationType { get; set; }
}
